Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ThreadGroup

    java.lang.Object
      |
      +--java.lang.ThreadGroup

public synchronized class ThreadGroup
extends Object

Constructor Summary
`ThreadGroup(String)`
`ThreadGroup(ThreadGroup, String)`

Method Summary
`int` | `activeCount()`
`int` | `activeGroupCount()`
`boolean` | `allowThreadSuspension(boolean)`
`void` | `checkAccess()`
`void` | `destroy()`
`int` | `enumerate(Thread[])`
`int` | `enumerate(Thread[], boolean)`
`int` | `enumerate(ThreadGroup[])`
`int` | `enumerate(ThreadGroup[], boolean)`
`int` | `getMaxPriority()`
`String` | `getName()`
`ThreadGroup` | `getParent()`
`void` | `interrupt()`
`boolean` | `isDaemon()`
`boolean` | `isDestroyed()`
`void` | `list()`
`boolean` | `parentOf(ThreadGroup)`
`void` | `resume()`
`void` | `setDaemon(boolean)`
`void` | `setMaxPriority(int)`
`void` | `stop()`
`void` | `suspend()`
`String` | `toString()`
`void` | `uncaughtException(Thread, Throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThreadGroup

    public ThreadGroup(String)

### ThreadGroup

    public ThreadGroup(ThreadGroup,
                       String)

Method Detail

### activeCount

    public int activeCount()

### activeGroupCount

    public int activeGroupCount()

### allowThreadSuspension

    public boolean allowThreadSuspension(boolean)

### checkAccess

    public final void checkAccess()

### destroy

    public final void destroy()

### enumerate

    public int enumerate(Thread[])

### enumerate

    public int enumerate(Thread[],
                         boolean)

### enumerate

    public int enumerate(ThreadGroup[])

### enumerate

    public int enumerate(ThreadGroup[],
                         boolean)

### getMaxPriority

    public final int getMaxPriority()

### getName

    public final String getName()

### getParent

    public final ThreadGroup getParent()

### interrupt

    public final void interrupt()

### isDaemon

    public final boolean isDaemon()

### isDestroyed

    public boolean isDestroyed()

### list

    public void list()

### parentOf

    public final boolean parentOf(ThreadGroup)

### resume

    public final void resume()

### setDaemon

    public final void setDaemon(boolean)

### setMaxPriority

    public final void setMaxPriority(int)

### stop

    public final void stop()

### suspend

    public final void suspend()

### toString

    public String toString()

  Overrides:
    toString in class Object

### uncaughtException

    public void uncaughtException(Thread,
                                  Throwable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.